Bug 1675248 - lastfmlib: FTBFS in Fedora rawhide/f30
Summary: lastfmlib: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lastfmlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Vratil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:39 UTC by Fedora Release Engineering
Modified: 2019-02-21 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 17:41:05 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:39:43 UTC
lastfmlib failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32406236


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix lastfmlib at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
lastfmlib will be orphaned. Before branching of Fedora 31,
lastfmlib will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:39:45 UTC
Created attachment 1530855 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:39:48 UTC
Created attachment 1530856 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:39:50 UTC
Created attachment 1530857 [details]
state.log

Comment 4 Rex Dieter 2019-02-12 21:17:51 UTC
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_REENTRANT -c lastfmlib/nowplayinginfo.cpp  -fPIC -DPIC -o .libs/liblastfmlib_la-nowplayinginfo.o
make[1]: Leaving directory '/builddir/build/BUILD/lastfmlib-0.4.0'
BUILDSTDERR: In file included from lastfmlib/nowplayinginfo.cpp:19:
BUILDSTDERR: lastfmlib/utils/stringoperations.h: In function 'std::string StringOperations::toWstring(T&)':
BUILDSTDERR: lastfmlib/utils/stringoperations.h:62:22: error: could not convert 'ss.std::__cxx11::basic_stringstream<wchar_t>::str()' from 'basic_string<wchar_t>' to 'basic_string<char>'
BUILDSTDERR:    62 |         return ss.str();
BUILDSTDERR:       |                ~~~~~~^~
BUILDSTDERR:       |                      |
BUILDSTDERR:       |                      basic_string<wchar_t>
BUILDSTDERR: make[1]: *** [Makefile:534: liblastfmlib_la-nowplayinginfo.lo] Error 1
BUILDSTDERR: make[1]: *** Waiting for unfinished jobs....

Comment 5 Gwyn Ciesla 2019-02-21 17:41:05 UTC
Retired.


Note You need to log in before you can comment on or make changes to this bug.